Package org.gradle.api.reporting.dependencies

# Interface DependencyReportContainer

All Superinterfaces:
  `Collection<Report>`, `Configurable<ReportContainer<Report>>`, `DomainObjectCollection<Report>`, `DomainObjectSet<Report>`, `Iterable<Report>`, `NamedDomainObjectCollection<Report>`, `NamedDomainObjectSet<Report>`, `ReportContainer<Report>`, `Set<Report>`

public interface DependencyReportContainer extends ReportContainer<Report>
The set of reports that can be generated by the `HtmlDependencyReportTask` task type.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.reporting.ReportContainer

  `ReportContainer.ImmutableViolationException`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DirectoryReport`
  `getHtml()`
  The dependency HTML report

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface org.gradle.util.Configurable

  `configure`

  ### Methods inherited from interface org.gradle.api.DomainObjectCollection

  `addAllLater, addLater, all, all, configureEach, disallowChanges, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

  `add, addAll, addRule, addRule, addRule, findByName, getAt, getByName, getByName, getByName, getCollectionSchema, named, named, named, named`

  ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

  `findAll, matching, matching, named, withType`

  ### Methods inherited from interface org.gradle.api.reporting.ReportContainer

  `getAsMap, getEnabled, getEnabledReports, getNamer, getNames, getRules, isEmpty`

  ### Methods inherited from interface java.util.Set

  `add, addAll, clear, contains, containsAll, equals, hashCode, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

- ## Method Details

  - ### getHtml

    @Internal DirectoryReport getHtml()
    The dependency HTML report
    Returns:
      The dependency HTML report